Page MenuHomePhabricator

[SMW] Semantic Search offset incorrect on first display after clicking "further results" in table
Closed, ResolvedPublic

Description

When clicking "further results" for the first time, the "next" link for results 1-20 on the Semantic Search page is loaded with an offset of 0, which basically just reloads results 1-20 again (login with Demo/test):

http://www.coincompendium.com/w/index.php/Special:Ask/-5B-5BCategory:CCT666-5D-5D-20-5B-5BCategory:Specimens-5D-5D/-3F-23/-3FGrade/-3FModification-20date/mainlabel%3D/order%3DDESC/sort%3D_MDAT

If you click "next" a second time after it reloads, then it finally shows results 21-40, using the correct offset value of 20:

http://www.coincompendium.com/w/index.php?title=Special:Ask&offset=20&limit=20&q=%5B%5BCategory%3ACCT666%5D%5D+%5B%5BCategory%3ASpecimens%5D%5D&p=mainlabel%3D%2Fformat%3Dbroadtable&po=%3F%23-%0A%3FGrade%0A%3FModification+date%0A&sort=_MDAT&order=DESC


Version: unspecified
Severity: normal

Details

Reference
bz33575

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:01 AM
bzimport set Reference to bz33575.
bzimport added a subscriber: Unknown Object (MLST).
Badon created this task.Jan 7 2012, 2:18 AM

Should be fixed by r108306. Can you confirm it now works correctly in all cases?

Badon added a comment.Jan 8 2012, 8:32 PM

I couldn't find any difference, the offset is still 0. I overwrote my SMW_QueryResult.php with this file, which I think is the correct way to test this since the only other changed file seems to be README, if I understand correctly:

https://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/SemanticMediaWiki/includes/storage/SMW_QueryResult.php?revision=108306&view=co&pathrev=108306

I reopened this bug, but if there's something else I need to do to properly test this, let me know.

Badon added a comment.Feb 8 2012, 2:34 AM

I tested this issue in SMW 1.7.0.2, and it appears to be fixed. I presume that is r109014.